Tcl

- Main Page
- Namespaces
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
ns Namespace Reference

Documented namespace `ns` . More...

## Namespaces

namespace | itcl_class
namespace | oo_class

## Classes

class | itcl_class
| Documented itcl class `itcl_class` .
class | oo_class
| Documented oo class `oo_class` .

## Functions

| ns_proc arg
| Documented proc `ns_proc` .

## Detailed Description

Documented namespace `ns` .

The code is inserted here:

    00001 namespace eval ns {
    00002   ## Documented proc \c ns_proc .
    00003   # param[in] arg some argument
    00004   proc ns_proc {arg} {}
    00005   ## Documented var \c ns_var .
    00006   # Some documentation.
    00007   variable ns_var
    00008   ## Documented itcl class \c itcl_class .
    00009   itcl::class itcl_class {
    00010     ## Create object.
    00011     constructor {args} {eval $args}
    00012     ## Destroy object.
    00013     destructor {exit}
    00014     ## Documented itcl method \c itcl_method_x .
    00015     # param[in] arg Argument
    00016     private method itcl_method_x {arg}{}
    00017     ## Documented itcl method \c itcl_method_y .
    00018     # param[in] arg Argument
    00019     protected method itcl_method_y {arg} {}
    00020     ## Documented itcl method \c itcl_method_z .
    00021     # param[in] arg Argument
    00022     public method itcl_method_z {arg} {}
    00023     ## Documented common itcl var \c itcl_Var .
    00024     common itcl_Var
    00025     ## \protectedsection
    00026
    00027     variable itcl_var1;#< Documented itcl var \c itcl_var1 .
    00028     variable itcl_var2}
    00029   ## Documented oo class \c oo_class .
    00030   oo::class create oo_class {
    00031     ## Create object.
    00032     # Configure with args
    00033     constructor {args} {eval $args}
    00034     ## Destroy object.
    00035     # Exit.
    00036     destructor {exit}
    00037     ## Documented oo var \c oo_var .
    00038     # Defined inside class
    00039     variable oo_var
    00040     ## \private Documented oo method \c oo_method_x .
    00041     # param[in] arg Argument
    00042     method oo_method_x {arg} {}
    00043     ## \protected Documented oo method \c oo_method_y .
    00044     # param[in] arg Argument
    00045     method oo_method_y {arg} {}
    00046     ## \public Documented oo method \c oo_method_z .
    00047     # param[in] arg Argument
    00048     method oo_method_z {arg} {}
    00049   }
    00050 }

## Function Documentation

ns::ns_proc | arg

Documented proc `ns_proc` .

param[in] arg some argument

      proc ns_proc {arg} {}